package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

/**
 * 对应数据库表(im_group_member):
 */
public class ImGroupMember extends BaseEntity {

	/**  */
	private Long id;
	
	/**  */
	private String imGroupId;
	
	/**  */
	private Integer userId;
	
	private String nickname;
	
	/** 是否是管理员 */
	private boolean isAdmin;
	
	/** 群角色 */
	private String roleType;

	private Integer memberRankSettingId;

	private String subjectName;

	private String subjectId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(String subjectId) {
		this.subjectId = subjectId;
	}

	public Integer getMemberRankSettingId() {
		return memberRankSettingId;
	}

	public void setMemberRankSettingId(Integer memberRankSettingId) {
		this.memberRankSettingId = memberRankSettingId;
	}

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setImGroupId(String imGroupId){
		this.imGroupId = imGroupId;
	}
	
	public String getImGroupId(){
		return this.imGroupId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public void setIsAdmin(boolean isAdmin){
		this.isAdmin = isAdmin;
	}
	
	public boolean getIsAdmin(){
		return this.isAdmin;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
